{ ****** Copyright : Dr. M. Halfpap, Itzehoe ****** }

unit FakultaetThread;

interface

uses
  Sysutils{ wg. Typumwandlung }, Classes;

type
  FakuThread = class(TThread)
    ergebnis : longint;
  private
    { Private declarations }
  protected
    procedure Execute; override;
    procedure UpDate;
  public
    constructor Create(m : Integer);
  end;

implementation

uses Folgen_Zeit;
var n  : integer;

constructor FakuThread.Create(m : integer);
begin
  inherited Create(false);
  n := m;
end;

procedure FakuThread.Execute;
  FUNCTION faku(n:integer):longint;
  BEGIN
    IF n>1 THEN faku:=faku(n-1)*n ELSE
                faku := 1
  END;
begin
  ergebnis := faku(n);
  synchronize(UpDate)
end;

procedure FakuThread.UpDate;
begin
  Folgen_Zeit.Form7.Label5.Caption := IntToStr(ergebnis);
  Folgen_Zeit.Form7.Label6.Caption := 'Fertich . . . ';
  Folgen_Zeit.Form7.Button3.Enabled := True;
end;

end.
