{ ****** Copyright : Dr. M. Halfpap, Itzehoe ****** }

unit FibonacciThread;

interface

uses
  Sysutils{ wg. Typumwandlung }, Classes;

type
  FiboThread = class(TThread)
    ergebnis : longint;
  private
    { Private declarations }
  protected
    procedure Execute; override;
    procedure UpDate;
  public
    constructor Create(m : Integer);
  end;

implementation

uses Folgen_Zeit;
var n  : integer;
    z1 : longint;

constructor FiboThread.Create(m : integer);
begin
  inherited Create(false);
  n := m;
end;

procedure FiboThread.Execute;
  FUNCTION fibo(n:integer):longint;
  BEGIN
    IF n>2 THEN fibo:=fibo(n-1)+fibo(n-2) ELSE
                fibo := 1
  END;
begin
  ergebnis := fibo(n);
  synchronize(UpDate)
end;

procedure FiboThread.UpDate;
begin
  Folgen_Zeit.Form7.Label11.Caption := IntToStr(ergebnis);
  Folgen_Zeit.Form7.Label14.Caption := 'Fertich . . . ';
  Folgen_Zeit.Form7.Button2.Enabled := True;
end;

end.
