{ ****** Copyright : Dr. M. Halfpap, Itzehoe ****** }

unit HofstadterThread;

interface

uses
  Sysutils{ wg. Typumwandlung }, Classes;

type
  HofThread = class(TThread)
    ergebnis : longint;
  private
    { Private declarations }
  protected
    procedure Execute; override;
    procedure UpDate;
  public
    constructor Create(m : Integer);
  end;

implementation

uses Folgen_Zeit;
var n  : integer;

constructor HofThread.Create(m : integer);
begin
  inherited Create(false);
  n := m;
end;

procedure HofThread.Execute;
  FUNCTION Hof(n:integer):longint;
  BEGIN
    IF n>2 THEN Hof:=Hof(n-Hof(n-1))+ Hof(n-Hof(n-2)) ELSE
                Hof := 1
  END;
begin
  ergebnis := Hof(n);
  synchronize(UpDate)
end;

procedure HofThread.UpDate;
begin
  Folgen_Zeit.Form7.Label19.Caption := IntToStr(ergebnis);
  Folgen_Zeit.Form7.Label20.Caption := 'Fertich . . . ';
  Folgen_Zeit.Form7.Button5.Enabled := True;
end;

end.
