{ ****** Copyright : Dr. M. Halfpap, Itzehoe ****** }

unit Graph2;       { Thread Prioritten }

interface

uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, StdCtrls, ExtCtrls,
  ZeichenFreddie2, ZeichenFreddie;

type
  TForm1 = class(TForm)
    Label1: TLabel;
    Button2: TButton;
    Button1: TButton;
    Button3: TButton;
    RadioGroup1: TRadioGroup;
    Button4: TButton;
    Label2: TLabel;
    Panel1: TPanel;
    PaintBox2: TPaintBox;
    Panel2: TPanel;
    PaintBox1: TPaintBox;
    procedure FormActivate(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure Button3Click(Sender: TObject);
    procedure Button4Click(Sender: TObject);
  private

  public
    Fred1, Fred2 : TThread;
  end;

Const Radius = 50;
      Laenge = 20;
      Hoehe  = 20;
var Box1X, Box1Y, Box2X, Box2Y : Integer;
    Schluss1, Schluss2         : Boolean;
    Form1                      : TForm1;

implementation

{$R *.DFM}

procedure TForm1.FormActivate(Sender: TObject);
begin
  Box1Y := trunc(PaintBox1.Height/2);
  Box1X := trunc(PaintBox1.Width/2);
  Box2Y := trunc(PaintBox2.Height/2);
  Box2X := trunc(PaintBox2.Width/2);
end;

procedure TForm1.Button2Click(Sender: TObject);
begin
  schluss2 := true;
  Button1.Enabled := True;
end;

procedure TForm1.Button1Click(Sender: TObject);
begin
  Schluss2 := False;
  Fred2 := ZeichenFred2.Create(false);
  Fred2.FreeOnTerminate := true;
  Button1.Enabled := False;
  ActiveControl := Button4;
end;

procedure TForm1.Button3Click(Sender: TObject);
begin
  Schluss1 := False;
  Fred1 := ZeichenFred.Create(true); { Create ohne zu Starten }
  Case RadioGroup1. ItemIndex of
    0 : Fred1.Priority := tpIdle;
    1 : Fred1.Priority := tpLowest;
    2 : Fred1.Priority := tpLower;
    3 : Fred1.Priority := tpNormal;
    4 : Fred1.Priority := tpHigher;
    5 : Fred1.Priority := tpHighest;
    6 : Fred1.Priority := tpTimeCritical;
  end;
  Fred1.FreeOnTerminate := true;     { Startet jetzt den Thread }
  Fred1.Resume;
  Button3.Enabled := False;
  if Button1.Enabled Then ActiveControl := Button1;
end;

procedure TForm1.Button4Click(Sender: TObject);
begin
  Schluss1 := True;
  Button3.Enabled := True;
  ActiveControl := Button2;
end;

end.
