import java.applet.*;
import java.awt.*;
/**
 * Die Beschreibung des Typs hier eingeben.
 * Erstellungsdatum: (21.12.00 20:54:08)
 * @author: 
 */
public class Bilder extends Applet implements Runnable 
{
	Image bild1, bild2, bild = null;
	int bildbreite = 350;
	int bildhoehe = 50;
	int xpos = 80;
	int xAkt = 80;
	int yAkt = 50;
	int ypos = 50;
	Thread thread;
	MediaTracker bildWaerter = new MediaTracker(this);
/**
 * Initialisiert das Applet.
 * 
 * @see #start
 * @see #stop
 * @see #destroy
 */
public void init() 
{
	super.init(); 
	bild1 = getImage(getCodeBase(),"text1.jpg");
	bild2 = getImage(getCodeBase(),"text2.jpg");
	bildWaerter.addImage(bild1,0);
	bildWaerter.addImage(bild2,0);
	try {bildWaerter.waitForID(0); } catch (InterruptedException e) {};
	bild = bild1;
}
/**
 * Zeichnet das Applet
 * Wenn das Applet nicht gezeichnet werden mu (wenn es z. B. nur ein Behlter fr andere
 * awt-Komponenten ist), kann diese Methode problemlos gelscht werden.
 * 
 * @param g  das angegebene Grafikfenster
 * @see #update
 */
public void paint(Graphics g) 
{
	//super.paint(g);
	g.clearRect(80,50,350,50);
	g.drawImage(bild, xAkt, yAkt, bildbreite, bildhoehe, getBackground(), this);
}
/**
 * Die Beschreibung der Methode hier eingeben.
 * Erstellungsdatum: (21.12.00 21:05:59)
 * @param time int
 */
public void pause(int time) 
{
	try { Thread.sleep(time); }
	catch (InterruptedException e) {}
}
/**
 * Enthlt die Thread-Ausfhrungsschleife.
 */
public void run() 
{	
	zeichne();
}
/**
 * Startet den Thread.
 */
public void start() {
	if (thread == null)
	{
		thread = new Thread(this);
		thread.start();
	}
}
/**
 * Beendet den Thread und bergibt ihn an die Bereinigungsfunktion.
 */
public void stop() {
	if (thread != null)
	{
		thread.stop();
		thread = null;
	}
}
/**
 * Die Beschreibung der Methode hier eingeben.
 * Erstellungsdatum: (23.12.00 21:20:04)
 * @param g java.awt.Graphics
 */
public void update(Graphics g) 
{
	paint(g);
}
/**
 * Die Beschreibung der Methode hier eingeben.
 * Erstellungsdatum: (21.12.00 21:22:08)
 */
public void zeichne() 
{
	do
	{  for (int i = 1; i<18; i++)
	   {
		 xAkt = (int)(xpos+i*10);
		 bildbreite = (int)(bildbreite-20);
		 repaint(); pause(50);
	   };
	   xpos = xAkt;
	   if (bild == bild1) { bild = bild2;} else { bild = bild1;} ;
	   for (int i = 1; i<18; i++)
	   {
		 xAkt = (int)(xpos-i*10);
		 bildbreite = (int)(bildbreite+20);
		 repaint(); pause(50);
	   };
	   xpos = xAkt;
	} while (thread != null);  
}
}
