public class Rechnen2 extends Rechnen_a implements Runnable {
  // Anfang Variablen

  Thread fred = new Thread();
  Thread fi, co, ho, fa;
  ThreadGroup fredgruppe = new ThreadGroup("Fredgruppe");

  // Ende Variablen
  public void init() {
    super.init();
  }

  public void fibo() {
    fi = new Thread(fredgruppe, this, "Fibonacci ");
    fi.setPriority(10);
    fi.start();
  }
  public void conway() {
    co = new Thread(fredgruppe, this, "Conway ");
    co.start();
  }
  public void hof() {
    ho = new Thread(fredgruppe, this, "Hofstadter ");
    ho.start();
  }
  public void faku() {
    fa = new Thread(fredgruppe, this, "Fakultt ");
    fa.setPriority(1);
    fa.start();
  }
  public void ausgabe() {
    ta1.setText("");
    ta1.append("Zahl der aktiven Threads : "
                 +Integer.toString(Thread.currentThread().activeCount())+"\n");
    ta1.append("Zahl der aktiven Threads in der Threadgruppe : "
                 +Integer.toString(fredgruppe.activeCount())+"\n");
    ta1.append("Name und Prioritt der Threads : \n");
    if (fi != null){ ta1.append(fi.toString()+"\n"); }
    if (co != null){ ta1.append(co.toString()+"\n"); }
    if (ho != null){ ta1.append(ho.toString()+"\n"); }
    if (fa != null){ ta1.append(fa.toString()+"\n"); }
  }

  public void run() {
    if (Thread.currentThread().getName().equals("Fibonacci ")){
      tf1a.setText(Long.toString(fibo(Integer.parseInt(tf1.getText()))));
    }
    if (Thread.currentThread().getName().equals("Conway ")){
      tf2a.setText(Long.toString(fibo(Integer.parseInt(tf2.getText()))));
    }
    if (Thread.currentThread().getName().equals("Hofstadter ")){
      tf3a.setText(Long.toString(fibo(Integer.parseInt(tf3.getText()))));
    }
    if (Thread.currentThread().getName().equals("Fakultt ")){
      tf4a.setText(Long.toString(fibo(Integer.parseInt(tf4.getText()))));
    }
  }

  public void stop() {
    if (fi != null){ fi = null; }
    if (co != null){ co = null; }
    if (ho != null){ ho = null; }
    if (fa != null){ fa = null; }
  }

  public long fibo(int zahl){
    if (zahl<3){
      return 1;
    } else {
      return fibo(zahl-1)+fibo(zahl-2);
    }
  }
  public long conway(long zahl){
    if (zahl<3){
      return 1;
    } else {
      return conway(conway(zahl-1))+conway(zahl-conway(zahl-1));
    }
  }
  public long hof(long zahl){
    if (zahl<3){
      return 1;
    } else {
      return hof(zahl-hof(zahl-1))+hof(zahl-hof(zahl-2));
    }
  }
  public long faku(int zahl){
    if (zahl<2){
      return 1;
    } else {
      return faku(zahl-1)*zahl;
    }
  }

}


