{ ****** Copyright : Dr. M. Halfpap, Itzehoe ****** }

unit AckermannThread;

interface

uses
  Sysutils{ wg. Typumwandlung }, Classes;

type
  AckThread = class(TThread)
    ergebnis : longint;
  private
    { Private declarations }
  protected
    procedure Execute; override;
    procedure UpDate;
  public
    constructor Create(m,n : Integer);
  end;

implementation

uses Folgen_Zeit;
var a,b : integer;

constructor AckThread.Create(m,n : integer);
begin
  inherited Create(false);
  a := m; b := n;
end;

procedure AckThread.Execute;
  FUNCTION ack(a,b:integer):longint;
  BEGIN
    IF a=0 THEN ack := b+1
    ELSE IF b=0 THEN ack:=ack(a-1, 1)
         ELSE ack := ack(a-1, ack(a, b-1))
  END;
begin
  ergebnis := ack(a,b);
  synchronize(UpDate)
end;

procedure AckThread.UpDate;
begin
  Folgen_Zeit.Form7.Label29.Caption := IntToStr(ergebnis);
  Folgen_Zeit.Form7.Label30.Caption := 'Fertich . . . ';
  Folgen_Zeit.Form7.Button7.Enabled := True;
end;

end.
