{ ****** Copyright : Dr. M. Halfpap, Itzehoe ****** }

unit ConwayThread;

interface

uses
  Sysutils{ wg. Typumwandlung }, Classes;

type
  ConThread = class(TThread)
    ergebnis : longint;
  private
    { Private declarations }
  protected
    procedure Execute; override;
    procedure UpDate;
  public
    constructor Create(m : Integer);
  end;

implementation

uses Folgen_Zeit;
var n  : integer;

constructor ConThread.Create(m : integer);
begin
  inherited Create(false);
  n := m;
end;

procedure ConThread.Execute;
  FUNCTION con(n:integer):longint;
  BEGIN
    IF n>2 THEN con:=con(con(n-1))+con(n-con(n-1)) ELSE
                con := 1
  END;
begin
  ergebnis := con(n);
  synchronize(UpDate)
end;

procedure ConThread.UpDate;
begin
  Folgen_Zeit.Form7.Label24.Caption := IntToStr(ergebnis);
  Folgen_Zeit.Form7.Label25.Caption := 'Fertich . . . ';
  Folgen_Zeit.Form7.Button6.Enabled := True;
end;

end.
