import java.applet.*;
import java.awt.*;

public class Anima_Thread extends Applet implements Runnable 
{
        Image bild;
        int bildbreite = 50;
        int bildhoehe = 50;
        int xpos = 10;
        int ypos = 10;
        Thread thread;
        public Anima_Thread(){}  //Konstruktor !!

  public void init()
  {     super.init();
        MediaTracker waerter = new MediaTracker(this);
        bild=getImage(getCodeBase(),"welt.jpg");
        waerter.addImage(bild,0);
        try {waerter.waitForID(0); } catch (InterruptedException e) {};
  }

  public void paint(Graphics g)
  {     g.drawImage(bild, xpos, ypos, bildbreite, bildhoehe, this);
  }

  public void pause(int time)
  {
        try { Thread.sleep(time); }
        catch (InterruptedException e) {}
  }
  public void run()
  {
        for (int i = 0; i<1000; i++)
        {
                xpos = (int)(xpos+(i/4));
                ypos = (int)(ypos+(i/10));
                bildbreite = (int)(bildbreite*(1+(i/500)));
                bildhoehe = (int)(bildhoehe*(1+(1/500)));
                repaint();
                pause(100);
        }
  }

  public void start()
  {
        if (thread == null)
        {
                thread = new Thread(this);
                thread.start();
        }
  }

  public void stop()
  {
        if (thread != null)
        {
                thread.stop();
                thread = null;
        }
  }
}
