import java.applet.*;
import java.awt.*;
import java.awt.event.*;

public class Schlangen_Deadlock extends Applet implements Runnable
{
        long radius = 60;       //Abstand der Schlange vom MP
                                                //Canvas - Groesse ist 250*250
        long startX1 = 125;
        long startY1 = 125-radius;
        long startX2 = 125;
        long startY2 = 125-radius;
        long aktX, aktY = 0;
        private Button ivjButton1 = new Button();
        private Button ivjButton2 = new Button();
        private Button ivjButton3 = new Button();
        private Button ivjButton4 = new Button();
        private Canvas ivjCanvas1 = new Canvas();
        private Canvas ivjCanvas2 = new Canvas();
        Graphics g1,g2;
        Thread thread1, thread2;

  public void init()
  {  super.init();
     setName("Schlangen_Prio");
     setLayout(null);
     setBackground(java.awt.Color.lightGray);
     setSize(595, 380);

     ivjButton1.setName("Button1");
     ivjButton1.setBounds(16, 276, 56, 23);
     ivjButton1.setLabel("Start");
     add(ivjButton1);
     ivjButton2.setName("Button2");
     ivjButton2.setBounds(301, 276, 56, 23);
     ivjButton2.setLabel("Start");
     add(ivjButton2);
     ivjButton3.setName("Button3");
     ivjButton3.setBounds(93, 276, 56, 23);
     ivjButton3.setLabel("Stop");
     add(ivjButton3);
     ivjButton4.setName("Button4");
     ivjButton4.setBounds(381, 276, 56, 23);
     ivjButton4.setLabel("Stop");
     add(ivjButton4);
     ivjCanvas1.setName("Canvas1");
     ivjCanvas1.setBackground(java.awt.Color.pink);
     ivjCanvas1.setBounds(16, 19, 250, 250);
     add(ivjCanvas1);
     ivjCanvas2.setName("Canvas2");
     ivjCanvas2.setBackground(java.awt.Color.pink);
     ivjCanvas2.setBounds(301, 19, 250, 250);
     add(ivjCanvas2);

     ivjButton1.addActionListener (new ActionListener () {
       public void actionPerformed (ActionEvent evt) {
         button1_ActionEvents();}});
     ivjButton2.addActionListener (new ActionListener () {
       public void actionPerformed (ActionEvent evt) {
         button2_ActionEvents();}});
     ivjButton3.addActionListener (new ActionListener () {
       public void actionPerformed (ActionEvent evt) {
         button3_ActionEvents();}});
     ivjButton4.addActionListener (new ActionListener () {
       public void actionPerformed (ActionEvent evt) {
         button4_ActionEvents();}});

     g1 = ivjCanvas1.getGraphics();
     g2 = ivjCanvas2.getGraphics();
  }
  public void button1_ActionEvents()
  {     if (thread1 == null)
        {  thread1 = new Thread(this,"Fred1");
           thread1.start();
        }
  }
  public void button2_ActionEvents()
  {     if (thread2 == null)
        {  thread2 = new Thread(this,"Fred2");
           thread2.start();
        }
  }
  public void button3_ActionEvents()
  {     thread1 = null;
        //thread1.stop();
  }
  public void button4_ActionEvents()
  {     thread2 = null;
  }

  public void linkeSeite()
  {  schlangeZeichnen(0);
  }

  public void malen(int farbe, int zaehler)
  {     aktX = startX1+(Math.round(radius*(Math.sin(zaehler*15*(Math.PI)/180))))-15;
        aktY = startY1+(radius-(Math.round(radius*(Math.cos(zaehler*15*(Math.PI)/180)))))-15;
        if ( Thread.currentThread() == thread1 )
        { g1.setColor(new java.awt.Color(farbe,0,0));   //RGB 
          g1.fillOval((int)aktX, (int)aktY, 30, 30);}   
        if ( Thread.currentThread() == thread2 )
        { g2.setColor(new java.awt.Color(farbe,0,0)); 
          g2.fillOval((int)aktX, (int)aktY, 30, 30); }
  }

  public void rechteSeite()
  {  schlangeZeichnen(0);
  }

  public void run()
  {  if (Thread.currentThread() == thread1)
        { linkeSeite(); }
     if (Thread.currentThread() == thread2)
        { rechteSeite(); }
  }

  public void schlangeZeichnen(int zaehler)
  {  do
     {  zaehler++; malen(255,zaehler);
        if (zaehler > 1) { malen(235, zaehler-1); }
        if (zaehler > 2) { malen(215, zaehler-2); }
        if (zaehler > 3) { malen(195, zaehler-3); }
        if (zaehler > 4) { malen(175, zaehler-4); }
        if (zaehler > 5) { malen(155, zaehler-5); }
        if (zaehler > 6) { malen(135, zaehler-6); }
        if (zaehler > 7) { malen(115, zaehler-7); }
        if (zaehler > 8) { malen( 95, zaehler-8); }
        try { Thread.currentThread().sleep(50); } catch (InterruptedException e) {}
        if (Thread.currentThread() == thread1)
           { g1.clearRect(16,19,250,250); }
        if (Thread.currentThread() == thread2)
           { g2.clearRect(16,19,250,250); }
     }
     while (Thread.currentThread() != null);
  }
  public void stop()
  {  thread1 = null;
     thread2 = null;
  }
}
