import java.applet.Applet;
import java.awt.*;
import java.awt.event.*;

public class Textausgabe extends Applet implements Runnable {
  // Anfang Variablen

  Thread fred = new Thread();
  Thread f1, f2;
  String wort;

  ThreadGroup fredgruppe = new ThreadGroup("fredgruppe");

  Button bu1 = new Button();
  TextArea ta1 = new TextArea ("", 10, 40, TextArea.SCROLLBARS_VERTICAL_ONLY);
  TextArea ta2 = new TextArea ("", 10, 40, TextArea.SCROLLBARS_VERTICAL_ONLY);
  // Ende Variablen

  public void init () {
    setLayout(null);
    setSize(500,300);
    // Anfang Komponenten

    bu1.setLabel("Starte");
    bu1.setBounds(5,5,60,20);
    add(bu1);
    bu1.addActionListener (new ActionListener () {
      public void actionPerformed (ActionEvent evt) {
        bu1ActionPerformed (evt);}});

    ta1.setText("");
    ta1.setBounds(5,30,90,265);
    add(ta1);
    ta2.setText("");
    ta2.setBounds(155,10,340,285);
    add(ta2);

    // Ende Komponenten
  }

  // Anfang Ereignisprozeduren


  public void run() {
    ta2.append("Zahl der aktiven Threads : "
                 +Integer.toString(Thread.currentThread().activeCount())+"\n");
    ta2.append("Zahl der aktiven Threads in der Threadgruppe : "
                 +Integer.toString(fredgruppe.activeCount())+"\n");

    Thread threadArray[] = new Thread[fredgruppe.activeCount()];
    fredgruppe.enumerate( threadArray );
    ta2.append("Name und Prioritt der Threads : \n");
    for ( int i = 0; i < threadArray.length; i++ )
      { ta2.append(threadArray[i]+"\n"); }

    for (int z = 1; z<8; z++){
      try {
        fred = Thread.currentThread();
        if (fred.getName().equals("Erster")){
          ta1.append(z+".  Erster"+"\n");
          f1.sleep((long)(Math.random()*1000));
        } else if (fred.getName().equals("Zweiter")){
                 ta1.append(z+".  Zweiter"+"\n");
                 f2.sleep((long)(Math.random()*1000));
               }

      }
      catch (InterruptedException e) {}
    }
    ta1.append("\n   ENDE \n");
  }
  // Ende Ereignisprozeduren
  
  public void bu1ActionPerformed (ActionEvent evt) {
    ta1.setText("");
    ta2.setText("");
    f1 = new Thread(fredgruppe, this, "Erster");
    f2 = new Thread(fredgruppe, this, "Zweiter");
    f1.start();
    f2.start();
  }
  
  public void stop() {
    if (f1 != null){
      f1 = null;
    }
    if (f2 != null){
      f1 = null;
    }
  }

}

